<?php
// $Id: editor.htmlarea3.php,v 1.5 2003/12/07 01:40:28 ronbakker Exp $
/**
* Handler for htmlarea3
* @package Mambo Open Source
* @Copyright (C) 2000 - 2003 Miro International Pty Ltd
* @ All rights reserved
* @ Mambo Open Source is Free Software
* @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
* @version $Revision: 1.5 $
**/

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

function initEditor() {
	global $mosConfig_live_site;
?>
	<script type="text/javascript"> 
	_editor_url ="<?php echo $mosConfig_live_site;?>/editor/HTMLArea3/";
	</script>
	<script type="text/javascript" src="<?php echo $mosConfig_live_site;?>/editor/HTMLArea3/htmlarea.js"></script>
	<script type="text/javascript" src="<?php echo $mosConfig_live_site;?>/editor/HTMLArea3/dialog.js"></script>
	<script type="text/javascript" src="<?php echo $mosConfig_live_site;?>/editor/HTMLArea3/lang/en.js"></script>
	<style type="text/css">@import url(<?php echo $mosConfig_live_site;?>/editor/HTMLArea3/htmlarea.css)</style>
	<script type="text/javascript"> 
	 	// load the plugin files
		HTMLArea.loadPlugin("TableOperations");
		var editor = null;
	</script>
<?php
}

function activateEditor( $textarea, $form ) {
?>
	<script language="JavaScript1.2" defer="defer">
	// create the editor 
	var editor = new HTMLArea("<?php echo $textarea ?>"); 

	// retrieve the config object 
	var config = editor.config;

config.registerButton({
  id        : "mosimage",
  tooltip   : "Insert {mosimage} tag",
  image     : _editor_url + "images/ed_mos_image.gif",
  textMode  : false,
  action    : function(editor, id) {
                editor.insertHTML('{mosimage}');
              }
});

config.registerButton({
  id        : "mospagebreak",
  tooltip   : "Insert {mospagebreak} tag",
  image     : _editor_url + "images/ed_mos_pagebreak.gif",
  textMode  : false,
  action    : function(editor, id) {
                editor.insertHTML('{mospagebreak}');
              }
});

config.toolbar = [
[ "fontname", "space",
  "fontsize", "space",
  "formatblock", "space",
  "bold", "italic", "underline", "separator",
  "strikethrough", "subscript", "superscript", "separator",
  "mosimage", "mospagebreak" ],
		
[ "justifyleft", "justifycenter", "justifyright", "justifyfull", "separator",
  "insertorderedlist", "insertunorderedlist", "outdent", "indent", "separator",
  "forecolor", "hilitecolor", "textindicator", "separator",
  "inserthorizontalrule", "createlink", "insertimage", "inserttable", "htmlmode"]
];


	 // register the TableOperations plugin with our editor
    editor.registerPlugin(TableOperations);

	editor.generate('<?php echo $textarea ?>');
	 
	</script>
<?php
}
?>